/*
 * @Author: Kane
 * @Date: 2023-05-25 10:36:14
 * @LastEditors: Kane
 * @FilePath: /NewCitizenQueryResult/src/test/java/com/cpic/xim/test/NewCitizenQueryResultTest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */


package com.cpic.xim.test;

import org.junit.Test;
import static org.junit.Assert.assertTrue;
import org.apache.shiro.crypto.hash.Md5Hash;
import com.cpic.xim.utils.newcitizen.NewCitizenUitls;
import com.cpic.xim.utils.newcitizen.IdentifyResult;

public class NewCitizenQueryResultTest
{
    @Test
    public void testSaveQueryResult()
    {

    }

    @Test
    public void testMd5Hash()
    {
        String idCardNo = "350402198106130016";

        Md5Hash idCardNoHash = new Md5Hash( idCardNo );

        System.out.println( "身份证hash值:" + idCardNoHash.toString() );
    }

    @Test
    public void testIdentify()
    {
        try
        {
            IdentifyResult result = NewCitizenUitls.identifyNewCitizen( "350403199801027011", "涂弘森" );
        
            assertTrue("测试调用成功", result.getCitizenType().isEmpty() == false);
        }
        catch ( Exception error )
        {
            assert( false );
        }
    }
}
